Bug 1202662 (CVE-2020-35511)

Summary: VUL-0: CVE-2020-35511: pngcheck: Buffer overflow in pngcheck 2.4.0 via a crafted png file
Product: [openSUSE] openSUSE Distribution Reporter: Hu <cathy.hu>
Component: SecurityAssignee: Security Team bot <security-team>
Status: RESOLVED FIXED QA Contact: Security Team bot <security-team>
Severity: Normal    
Priority: P3 - Medium CC: abergmann
Version: Leap 15.4   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/340566/
Whiteboard:
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Hu 2022-08-24 07:15:46 UTC
CVE-2020-35511

A global buffer overflow was discovered in pngcheck function in pngcheck-2.4.0(5
patches applied) via a crafted png file.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2020-35511
https://www.cve.org/CVERecord?id=CVE-2020-35511
http://www.libpng.org/pub/png/apps/pngcheck.html
Comment 1 Hu 2022-08-24 07:16:22 UTC
Affected:
- openSUSE:Backports:SLE-15-SP3/pngcheck  2.3.0

Not Affected:
- openSUSE:Backports:SLE-15-SP4/pngcheck  3.0.0
- openSUSE:Factory/pngcheck               3.0.3
Comment 2 Petr Gajdos 2022-08-25 10:47:04 UTC
 * 20201113 BB:  fixed buffer-overflow vulnerability discovered by "giantbranch
 *               of NSFOCUS Security Team"
 *               https://bugzilla.redhat.com/show_bug.cgi?id=1897485
 * 20201128 BB:  found and fixed four additional vulnerabilities (null-pointer
 *               dereference and three buffer overruns)
 * 20201209 LP:  fixed an off-by-one bug in check_magic() (Lucy Phipps)
 * 20201209 LL:  converted two zlib-version warnings/errors to go to stderr
 *               (Lemures Lemniscati, actually from 20180318; forwarded by LP)
 * 20201210 BB:  fixed another buffer-overflow vulnerability discovered by
 *               "giantbranch of NSFOCUS Security Team"
 *               https://bugzilla.redhat.com/show_bug.cgi?id=1905775
 * 20201212 GRR: removed -f ("force") option due to multiple security issues
 * 20201212 GRR: released version 3.0.0
 *               ----------------------

I propose to update the pngcheck in backports to 3.0.3. In B15sp4 for sure (see http://www.libpng.org/pub/png/apps/pngcheck.html) and preferably also in B15sp3, even if -f option removed in 3.0.0.

Packages submitted for B15sp4,B15sp3/pngcheck.

I believe all fixed.
Comment 3 OBSbugzilla Bot 2022-08-29 10:40:02 UTC
This is an autogenerated message for OBS integration:
This bug (1202662) was mentioned in
https://build.opensuse.org/request/show/999895 Backports:SLE-15-SP3 / pngcheck
Comment 4 Swamp Workflow Management 2022-10-06 01:18:49 UTC
openSUSE-SU-2022:10142-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1202662
CVE References: CVE-2020-35511
JIRA References: 
Sources used:
openSUSE Backports SLE-15-SP3 (src):    pngcheck-3.0.3-bp153.3.3.1
Comment 5 Alexander Bergmann 2022-12-21 14:15:20 UTC
Fixed and released.